# azure.mgmt.redis package

## Submodules

- azure.mgmt.redis.models module
- azure.mgmt.redis.operations module

## Module contents

class `azure.mgmt.redis.``RedisManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  REST API for Azure Redis Cache Service.

  Variables:

  - config (RedisManagementClientConfiguration) – Configuration for client.
  - operations (azure.mgmt.redis.operations.Operations) – Operations operations
  - redis (azure.mgmt.redis.operations.RedisOperations) – Redis operations
  - firewall_rules (azure.mgmt.redis.operations.FirewallRulesOperations) – FirewallRules operations
  - patch_schedules (azure.mgmt.redis.operations.PatchSchedulesOperations) – PatchSchedules operations
  - linked_server (azure.mgmt.redis.operations.LinkedServerOperations) – LinkedServer operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL

class `azure.mgmt.redis.``RedisManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for RedisManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL